Package htsjdk.variant.variantcontext

# Class VariantContextUtils.JexlVCMatchExp

java.lang.Object
htsjdk.variant.variantcontext.VariantContextUtils.JexlVCMatchExp

Enclosing class:
  `VariantContextUtils`

public static class VariantContextUtils.JexlVCMatchExp extends Object
A simple but common wrapper for matching `VariantContext` objects using JEXL expressions

## Field Summary

Fields
Modifier and Type
Field
Description
`org.apache.commons.jexl2.Expression`
`exp`
`String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`JexlVCMatchExp(String name, org.apache.commons.jexl2.Expression exp)`
Create a new matcher expression with name and JEXL expression exp

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### exp

public org.apache.commons.jexl2.Expression exp

## Constructor Details

### JexlVCMatchExp

public JexlVCMatchExp(String name, org.apache.commons.jexl2.Expression exp)
Create a new matcher expression with name and JEXL expression exp

Parameters:
  `name` - name
  `exp` - expression
Throws:
  `IllegalArgumentException` - if either argument is `null`